﻿;
; File: InterpreterError.pb
; Copyright (C) Philipp Isserstedt, 2011
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
; 
; This software is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY Or FITNESS for A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
; 
; You should have received a copy of the GNU General Public License.
; If not, see <http://www.gnu.org/licenses/>.
;

; -----------------------------------------------------
;-> Constants
; -----------------------------------------------------

Enumeration
	#InterpreterError_InvalidNumberFormat
	#InterpreterError_InvalidSign
	#InterpreterError_UnknownIdentifier
	#InterpreterError_UnknownFunction
	#InterpreterError_InvalidNumberOfArguments
	#InterpreterError_UnexpectedToken
	#InterpreterError_DivisionByZero
EndEnumeration

; -----------------------------------------------------
;-> Structures
; -----------------------------------------------------

Structure InterpreterError
	Type.b
	Info1.s
	Info2.s
EndStructure

; IDE Options = PureBasic 4.51 (Windows - x64)
; CursorPosition = 16
; Folding = -
; EnableUnicode
; EnableXP
; CompileSourceDirectory